<?php
namespace Gestoreasy\Core\Auth;

use Gestoreasy\Core\Http\Request;

class UserContext {
    public static function set(Request $req, array $user): void { $req->set('user', $user); }
    public static function get(Request $req): ?array { return $req->get('user'); }
}